PlatformName (Apache Hadoop Auth 3.5.0 API)
Description: declaration: package: org.apache.hadoop.util, class: PlatformName

Package org.apache.hadoop.util

# Class PlatformName

java.lang.Object
org.apache.hadoop.util.PlatformName

@LimitedPrivate("HBase") @Unstable public class PlatformName extends Object
A helper class for getting build-info of the java-vm.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final boolean`
  `IBM_JAVA`
  A public static variable to indicate the current java vendor is IBM and the type is Java Technology Edition which provides its own implementations of many security packages and Cipher suites.
  `static final String`
  `JAVA_VENDOR_NAME`
  The java vendor name used in this platform.
  `static final String`
  `PLATFORM_NAME`
  The complete platform 'name' to identify the platform as per the java-vm.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PlatformName()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PLATFORM_NAME

    public static final String PLATFORM_NAME
    The complete platform 'name' to identify the platform as per the java-vm.

  - ### JAVA_VENDOR_NAME

    public static final String JAVA_VENDOR_NAME
    The java vendor name used in this platform.

  - ### IBM_JAVA

    public static final boolean IBM_JAVA
    A public static variable to indicate the current java vendor is IBM and the type is Java Technology Edition which provides its own implementations of many security packages and Cipher suites. Note that these are not provided in Semeru runtimes: See https://developer.ibm.com/languages/java/semeru-runtimes for details.

- ## Constructor Details

  - ### PlatformName

    public PlatformName()

- ## Method Details

  - ### main

    public static void main(String[] args)